Added test for table.
[xmldoc.git] / test / Makefile.in
1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = { \
18   if test -z '$(MAKELEVEL)'; then \
19     false; \
20   elif test -n '$(MAKE_HOST)'; then \
21     true; \
22   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23     true; \
24   else \
25     false; \
26   fi; \
27 }
28 am__make_running_with_option = \
29   case $${target_option-} in \
30       ?) ;; \
31       *) echo "am__make_running_with_option: internal error: invalid" \
32               "target option '$${target_option-}' specified" >&2; \
33          exit 1;; \
34   esac; \
35   has_opt=no; \
36   sane_makeflags=$$MAKEFLAGS; \
37   if $(am__is_gnu_make); then \
38     sane_makeflags=$$MFLAGS; \
39   else \
40     case $$MAKEFLAGS in \
41       *\\[\ \   ]*) \
42         bs=\\; \
43         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
45     esac; \
46   fi; \
47   skip_next=no; \
48   strip_trailopt () \
49   { \
50     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51   }; \
52   for flg in $$sane_makeflags; do \
53     test $$skip_next = yes && { skip_next=no; continue; }; \
54     case $$flg in \
55       *=*|--*) continue;; \
56         -*I) strip_trailopt 'I'; skip_next=yes;; \
57       -*I?*) strip_trailopt 'I';; \
58         -*O) strip_trailopt 'O'; skip_next=yes;; \
59       -*O?*) strip_trailopt 'O';; \
60         -*l) strip_trailopt 'l'; skip_next=yes;; \
61       -*l?*) strip_trailopt 'l';; \
62       -[dEDm]) skip_next=yes;; \
63       -[JT]) skip_next=yes;; \
64     esac; \
65     case $$flg in \
66       *$$target_option*) has_opt=yes; break;; \
67     esac; \
68   done; \
69   test $$has_opt = yes
70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72 pkgdatadir = $(datadir)/@PACKAGE@
73 pkgincludedir = $(includedir)/@PACKAGE@
74 pkglibdir = $(libdir)/@PACKAGE@
75 pkglibexecdir = $(libexecdir)/@PACKAGE@
76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77 install_sh_DATA = $(install_sh) -c -m 644
78 install_sh_PROGRAM = $(install_sh) -c
79 install_sh_SCRIPT = $(install_sh) -c
80 INSTALL_HEADER = $(INSTALL_DATA)
81 transform = $(program_transform_name)
82 NORMAL_INSTALL = :
83 PRE_INSTALL = :
84 POST_INSTALL = :
85 NORMAL_UNINSTALL = :
86 PRE_UNINSTALL = :
87 POST_UNINSTALL = :
88 subdir = test
89 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
90 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
91 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
92         $(ACLOCAL_M4)
93 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
94 mkinstalldirs = $(install_sh) -d
95 CONFIG_CLEAN_FILES =
96 CONFIG_CLEAN_VPATH_FILES =
97 AM_V_P = $(am__v_P_@AM_V@)
98 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
99 am__v_P_0 = false
100 am__v_P_1 = :
101 AM_V_GEN = $(am__v_GEN_@AM_V@)
102 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
103 am__v_GEN_0 = @echo "  GEN     " $@;
104 am__v_GEN_1 = 
105 AM_V_at = $(am__v_at_@AM_V@)
106 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
107 am__v_at_0 = @
108 am__v_at_1 = 
109 SOURCES =
110 DIST_SOURCES =
111 am__can_run_installinfo = \
112   case $$AM_UPDATE_INFO_DIR in \
113     n|no|NO) false;; \
114     *) (install-info --version) >/dev/null 2>&1;; \
115   esac
116 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
117 am__tty_colors_dummy = \
118   mgn= red= grn= lgn= blu= brg= std=; \
119   am__color_tests=no
120 am__tty_colors = { \
121   $(am__tty_colors_dummy); \
122   if test "X$(AM_COLOR_TESTS)" = Xno; then \
123     am__color_tests=no; \
124   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
125     am__color_tests=yes; \
126   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
127     am__color_tests=yes; \
128   fi; \
129   if test $$am__color_tests = yes; then \
130     red='\e[0;31m'; \
131     grn='\e[0;32m'; \
132     lgn='\e[1;32m'; \
133     blu='\e[1;34m'; \
134     mgn='\e[0;35m'; \
135     brg='\e[1m'; \
136     std='\e[m'; \
137   fi; \
138 }
139 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
140 am__vpath_adj = case $$p in \
141     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
142     *) f=$$p;; \
143   esac;
144 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
145 am__install_max = 40
146 am__nobase_strip_setup = \
147   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
148 am__nobase_strip = \
149   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
150 am__nobase_list = $(am__nobase_strip_setup); \
151   for p in $$list; do echo "$$p $$p"; done | \
152   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
153   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
154     if (++n[$$2] == $(am__install_max)) \
155       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
156     END { for (dir in files) print dir, files[dir] }'
157 am__base_list = \
158   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
159   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
160 am__uninstall_files_from_dir = { \
161   test -z "$$files" \
162     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
163     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
164          $(am__cd) "$$dir" && rm -f $$files; }; \
165   }
166 am__recheck_rx = ^[     ]*:recheck:[    ]*
167 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
168 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
169 # A command that, given a newline-separated list of test names on the
170 # standard input, print the name of the tests that are to be re-run
171 # upon "make recheck".
172 am__list_recheck_tests = $(AWK) '{ \
173   recheck = 1; \
174   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
175     { \
176       if (rc < 0) \
177         { \
178           if ((getline line2 < ($$0 ".log")) < 0) \
179             recheck = 0; \
180           break; \
181         } \
182       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
183         { \
184           recheck = 0; \
185           break; \
186         } \
187       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
188         { \
189           break; \
190         } \
191     }; \
192   if (recheck) \
193     print $$0; \
194   close ($$0 ".trs"); \
195   close ($$0 ".log"); \
196 }'
197 # A command that, given a newline-separated list of test names on the
198 # standard input, create the global log from their .trs and .log files.
199 am__create_global_log = $(AWK) ' \
200 function fatal(msg) \
201 { \
202   print "fatal: making $@: " msg | "cat >&2"; \
203   exit 1; \
204 } \
205 function rst_section(header) \
206 { \
207   print header; \
208   len = length(header); \
209   for (i = 1; i <= len; i = i + 1) \
210     printf "="; \
211   printf "\n\n"; \
212 } \
213 { \
214   copy_in_global_log = 1; \
215   global_test_result = "RUN"; \
216   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
217     { \
218       if (rc < 0) \
219          fatal("failed to read from " $$0 ".trs"); \
220       if (line ~ /$(am__global_test_result_rx)/) \
221         { \
222           sub("$(am__global_test_result_rx)", "", line); \
223           sub("[        ]*$$", "", line); \
224           global_test_result = line; \
225         } \
226       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
227         copy_in_global_log = 0; \
228     }; \
229   if (copy_in_global_log) \
230     { \
231       rst_section(global_test_result ": " $$0); \
232       while ((rc = (getline line < ($$0 ".log"))) != 0) \
233       { \
234         if (rc < 0) \
235           fatal("failed to read from " $$0 ".log"); \
236         print line; \
237       }; \
238       printf "\n"; \
239     }; \
240   close ($$0 ".trs"); \
241   close ($$0 ".log"); \
242 }'
243 # Restructured Text title.
244 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
245 # Solaris 10 'make', and several other traditional 'make' implementations,
246 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
247 # by disabling -e (using the XSI extension "set +e") if it's set.
248 am__sh_e_setup = case $$- in *e*) set +e;; esac
249 # Default flags passed to test drivers.
250 am__common_driver_flags = \
251   --color-tests "$$am__color_tests" \
252   --enable-hard-errors "$$am__enable_hard_errors" \
253   --expect-failure "$$am__expect_failure"
254 # To be inserted before the command running the test.  Creates the
255 # directory for the log if needed.  Stores in $dir the directory
256 # containing $f, in $tst the test, in $log the log.  Executes the
257 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
258 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
259 # will run the test scripts (or their associated LOG_COMPILER, if
260 # thy have one).
261 am__check_pre = \
262 $(am__sh_e_setup);                                      \
263 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
264 $(am__tty_colors);                                      \
265 srcdir=$(srcdir); export srcdir;                        \
266 case "$@" in                                            \
267   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
268     *) am__odir=.;;                                     \
269 esac;                                                   \
270 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
271   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
272 if test -f "./$$f"; then dir=./;                        \
273 elif test -f "$$f"; then dir=;                          \
274 else dir="$(srcdir)/"; fi;                              \
275 tst=$$dir$$f; log='$@';                                 \
276 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
277   am__enable_hard_errors=no;                            \
278 else                                                    \
279   am__enable_hard_errors=yes;                           \
280 fi;                                                     \
281 case " $(XFAIL_TESTS) " in                              \
282   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
283     am__expect_failure=yes;;                            \
284   *)                                                    \
285     am__expect_failure=no;;                             \
286 esac;                                                   \
287 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
288 # A shell command to get the names of the tests scripts with any registered
289 # extension removed (i.e., equivalently, the names of the test logs, with
290 # the '.log' extension removed).  The result is saved in the shell variable
291 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
292 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
293 # since that might cause problem with VPATH rewrites for suffix-less tests.
294 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
295 am__set_TESTS_bases = \
296   bases='$(TEST_LOGS)'; \
297   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
298   bases=`echo $$bases`
299 RECHECK_LOGS = $(TEST_LOGS)
300 AM_RECURSIVE_TARGETS = check recheck
301 TEST_SUITE_LOG = test-suite.log
302 TEST_EXTENSIONS = @EXEEXT@ .test
303 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
304 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
305 am__set_b = \
306   case '$@' in \
307     */*) \
308       case '$*' in \
309         */*) b='$*';; \
310           *) b=`echo '$@' | sed 's/\.log$$//'`; \
311        esac;; \
312     *) \
313       b='$*';; \
314   esac
315 am__test_logs1 = $(TESTS:=.log)
316 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
317 TEST_LOGS = $(am__test_logs2:.test.log=.log)
318 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
319 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
320         $(TEST_LOG_FLAGS)
321 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/test-driver
322 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
323 ACLOCAL = @ACLOCAL@
324 AMTAR = @AMTAR@
325 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
326 AUTOCONF = @AUTOCONF@
327 AUTOHEADER = @AUTOHEADER@
328 AUTOMAKE = @AUTOMAKE@
329 AWK = @AWK@
330 CC = @CC@
331 CCDEPMODE = @CCDEPMODE@
332 CFLAGS = @CFLAGS@
333 CPP = @CPP@
334 CPPFLAGS = @CPPFLAGS@
335 CYGPATH_W = @CYGPATH_W@
336 DEFS = @DEFS@
337 DEPDIR = @DEPDIR@
338 ECHO_C = @ECHO_C@
339 ECHO_N = @ECHO_N@
340 ECHO_T = @ECHO_T@
341 EGREP = @EGREP@
342 EXEEXT = @EXEEXT@
343 GREP = @GREP@
344 INSTALL = @INSTALL@
345 INSTALL_DATA = @INSTALL_DATA@
346 INSTALL_PROGRAM = @INSTALL_PROGRAM@
347 INSTALL_SCRIPT = @INSTALL_SCRIPT@
348 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
349 LDFLAGS = @LDFLAGS@
350 LIBOBJS = @LIBOBJS@
351 LIBS = @LIBS@
352 LTLIBOBJS = @LTLIBOBJS@
353 MAKEINFO = @MAKEINFO@
354 MKDIR_P = @MKDIR_P@
355 OBJEXT = @OBJEXT@
356 PACKAGE = @PACKAGE@
357 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
358 PACKAGE_NAME = @PACKAGE_NAME@
359 PACKAGE_STRING = @PACKAGE_STRING@
360 PACKAGE_TARNAME = @PACKAGE_TARNAME@
361 PACKAGE_URL = @PACKAGE_URL@
362 PACKAGE_VERSION = @PACKAGE_VERSION@
363 PATH_SEPARATOR = @PATH_SEPARATOR@
364 SET_MAKE = @SET_MAKE@
365 SHELL = @SHELL@
366 STRIP = @STRIP@
367 VERSION = @VERSION@
368 XSLT_CONFIG = @XSLT_CONFIG@
369 abs_builddir = @abs_builddir@
370 abs_srcdir = @abs_srcdir@
371 abs_top_builddir = @abs_top_builddir@
372 abs_top_srcdir = @abs_top_srcdir@
373 ac_ct_CC = @ac_ct_CC@
374 am__include = @am__include@
375 am__leading_dot = @am__leading_dot@
376 am__quote = @am__quote@
377 am__tar = @am__tar@
378 am__untar = @am__untar@
379 bindir = @bindir@
380 build_alias = @build_alias@
381 builddir = @builddir@
382 datadir = @datadir@
383 datarootdir = @datarootdir@
384 docdir = @docdir@
385 dvidir = @dvidir@
386 exec_prefix = @exec_prefix@
387 host_alias = @host_alias@
388 htmldir = @htmldir@
389 includedir = @includedir@
390 infodir = @infodir@
391 install_sh = @install_sh@
392 libdir = @libdir@
393 libexecdir = @libexecdir@
394 localedir = @localedir@
395 localstatedir = @localstatedir@
396 mandir = @mandir@
397 mkdir_p = @mkdir_p@
398 oldincludedir = @oldincludedir@
399 pdfdir = @pdfdir@
400 prefix = @prefix@
401 program_transform_name = @program_transform_name@
402 psdir = @psdir@
403 sbindir = @sbindir@
404 sharedstatedir = @sharedstatedir@
405 srcdir = @srcdir@
406 sysconfdir = @sysconfdir@
407 target_alias = @target_alias@
408 top_build_prefix = @top_build_prefix@
409 top_builddir = @top_builddir@
410 top_srcdir = @top_srcdir@
411 TESTS = basic title titlepage sections toc paragraph lists table specialchars
412 all: all-am
413
414 .SUFFIXES:
415 .SUFFIXES: .log .test .test$(EXEEXT) .trs
416 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
417         @for dep in $?; do \
418           case '$(am__configure_deps)' in \
419             *$$dep*) \
420               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
421                 && { if test -f $@; then exit 0; else break; fi; }; \
422               exit 1;; \
423           esac; \
424         done; \
425         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign test/Makefile'; \
426         $(am__cd) $(top_srcdir) && \
427           $(AUTOMAKE) --foreign test/Makefile
428 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
429         @case '$?' in \
430           *config.status*) \
431             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
432           *) \
433             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
434             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
435         esac;
436
437 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
438         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
439
440 $(top_srcdir)/configure:  $(am__configure_deps)
441         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
442 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
443         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
444 $(am__aclocal_m4_deps):
445 tags TAGS:
446
447 ctags CTAGS:
448
449 cscope cscopelist:
450
451
452 # Recover from deleted '.trs' file; this should ensure that
453 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
454 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
455 # to avoid problems with "make -n".
456 .log.trs:
457         rm -f $< $@
458         $(MAKE) $(AM_MAKEFLAGS) $<
459
460 # Leading 'am--fnord' is there to ensure the list of targets does not
461 # expand to empty, as could happen e.g. with make check TESTS=''.
462 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
463 am--force-recheck:
464         @:
465
466 $(TEST_SUITE_LOG): $(TEST_LOGS)
467         @$(am__set_TESTS_bases); \
468         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
469         redo_bases=`for i in $$bases; do \
470                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
471                     done`; \
472         if test -n "$$redo_bases"; then \
473           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
474           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
475           if $(am__make_dryrun); then :; else \
476             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
477           fi; \
478         fi; \
479         if test -n "$$am__remaking_logs"; then \
480           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
481                "recursion detected" >&2; \
482         elif test -n "$$redo_logs"; then \
483           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
484         fi; \
485         if $(am__make_dryrun); then :; else \
486           st=0;  \
487           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
488           for i in $$redo_bases; do \
489             test -f $$i.trs && test -r $$i.trs \
490               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
491             test -f $$i.log && test -r $$i.log \
492               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
493           done; \
494           test $$st -eq 0 || exit 1; \
495         fi
496         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
497         ws='[   ]'; \
498         results=`for b in $$bases; do echo $$b.trs; done`; \
499         test -n "$$results" || results=/dev/null; \
500         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
501         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
502         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
503         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
504         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
505         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
506         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
507         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
508           success=true; \
509         else \
510           success=false; \
511         fi; \
512         br='==================='; br=$$br$$br$$br$$br; \
513         result_count () \
514         { \
515             if test x"$$1" = x"--maybe-color"; then \
516               maybe_colorize=yes; \
517             elif test x"$$1" = x"--no-color"; then \
518               maybe_colorize=no; \
519             else \
520               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
521             fi; \
522             shift; \
523             desc=$$1 count=$$2; \
524             if test $$maybe_colorize = yes && test $$count -gt 0; then \
525               color_start=$$3 color_end=$$std; \
526             else \
527               color_start= color_end=; \
528             fi; \
529             echo "$${color_start}# $$desc $$count$${color_end}"; \
530         }; \
531         create_testsuite_report () \
532         { \
533           result_count $$1 "TOTAL:" $$all   "$$brg"; \
534           result_count $$1 "PASS: " $$pass  "$$grn"; \
535           result_count $$1 "SKIP: " $$skip  "$$blu"; \
536           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
537           result_count $$1 "FAIL: " $$fail  "$$red"; \
538           result_count $$1 "XPASS:" $$xpass "$$red"; \
539           result_count $$1 "ERROR:" $$error "$$mgn"; \
540         }; \
541         {                                                               \
542           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
543             $(am__rst_title);                                           \
544           create_testsuite_report --no-color;                           \
545           echo;                                                         \
546           echo ".. contents:: :depth: 2";                               \
547           echo;                                                         \
548           for b in $$bases; do echo $$b; done                           \
549             | $(am__create_global_log);                                 \
550         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
551         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
552         if $$success; then                                              \
553           col="$$grn";                                                  \
554          else                                                           \
555           col="$$red";                                                  \
556           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
557         fi;                                                             \
558         echo "$${col}$$br$${std}";                                      \
559         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
560         echo "$${col}$$br$${std}";                                      \
561         create_testsuite_report --maybe-color;                          \
562         echo "$$col$$br$$std";                                          \
563         if $$success; then :; else                                      \
564           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
565           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
566             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
567           fi;                                                           \
568           echo "$$col$$br$$std";                                        \
569         fi;                                                             \
570         $$success || exit 1
571
572 check-TESTS: 
573         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
574         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
575         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
576         @set +e; $(am__set_TESTS_bases); \
577         log_list=`for i in $$bases; do echo $$i.log; done`; \
578         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
579         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
580         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
581         exit $$?;
582 recheck: all 
583         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
584         @set +e; $(am__set_TESTS_bases); \
585         bases=`for i in $$bases; do echo $$i; done \
586                  | $(am__list_recheck_tests)` || exit 1; \
587         log_list=`for i in $$bases; do echo $$i.log; done`; \
588         log_list=`echo $$log_list`; \
589         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
590                 am__force_recheck=am--force-recheck \
591                 TEST_LOGS="$$log_list"; \
592         exit $$?
593 basic.log: basic
594         @p='basic'; \
595         b='basic'; \
596         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
597         --log-file $$b.log --trs-file $$b.trs \
598         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
599         "$$tst" $(AM_TESTS_FD_REDIRECT)
600 title.log: title
601         @p='title'; \
602         b='title'; \
603         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
604         --log-file $$b.log --trs-file $$b.trs \
605         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
606         "$$tst" $(AM_TESTS_FD_REDIRECT)
607 titlepage.log: titlepage
608         @p='titlepage'; \
609         b='titlepage'; \
610         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
611         --log-file $$b.log --trs-file $$b.trs \
612         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
613         "$$tst" $(AM_TESTS_FD_REDIRECT)
614 sections.log: sections
615         @p='sections'; \
616         b='sections'; \
617         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
618         --log-file $$b.log --trs-file $$b.trs \
619         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
620         "$$tst" $(AM_TESTS_FD_REDIRECT)
621 toc.log: toc
622         @p='toc'; \
623         b='toc'; \
624         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
625         --log-file $$b.log --trs-file $$b.trs \
626         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
627         "$$tst" $(AM_TESTS_FD_REDIRECT)
628 paragraph.log: paragraph
629         @p='paragraph'; \
630         b='paragraph'; \
631         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
632         --log-file $$b.log --trs-file $$b.trs \
633         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
634         "$$tst" $(AM_TESTS_FD_REDIRECT)
635 lists.log: lists
636         @p='lists'; \
637         b='lists'; \
638         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
639         --log-file $$b.log --trs-file $$b.trs \
640         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
641         "$$tst" $(AM_TESTS_FD_REDIRECT)
642 table.log: table
643         @p='table'; \
644         b='table'; \
645         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
646         --log-file $$b.log --trs-file $$b.trs \
647         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
648         "$$tst" $(AM_TESTS_FD_REDIRECT)
649 specialchars.log: specialchars
650         @p='specialchars'; \
651         b='specialchars'; \
652         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
653         --log-file $$b.log --trs-file $$b.trs \
654         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
655         "$$tst" $(AM_TESTS_FD_REDIRECT)
656 .test.log:
657         @p='$<'; \
658         $(am__set_b); \
659         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
660         --log-file $$b.log --trs-file $$b.trs \
661         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
662         "$$tst" $(AM_TESTS_FD_REDIRECT)
663 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
664 @am__EXEEXT_TRUE@       @p='$<'; \
665 @am__EXEEXT_TRUE@       $(am__set_b); \
666 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
667 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
668 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
669 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
670
671 distdir: $(BUILT_SOURCES)
672         $(MAKE) $(AM_MAKEFLAGS) distdir-am
673
674 distdir-am: $(DISTFILES)
675         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
676         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
677         list='$(DISTFILES)'; \
678           dist_files=`for file in $$list; do echo $$file; done | \
679           sed -e "s|^$$srcdirstrip/||;t" \
680               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
681         case $$dist_files in \
682           */*) $(MKDIR_P) `echo "$$dist_files" | \
683                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
684                            sort -u` ;; \
685         esac; \
686         for file in $$dist_files; do \
687           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
688           if test -d $$d/$$file; then \
689             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
690             if test -d "$(distdir)/$$file"; then \
691               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
692             fi; \
693             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
694               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
695               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
696             fi; \
697             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
698           else \
699             test -f "$(distdir)/$$file" \
700             || cp -p $$d/$$file "$(distdir)/$$file" \
701             || exit 1; \
702           fi; \
703         done
704 check-am: all-am
705         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
706 check: check-am
707 all-am: Makefile
708 installdirs:
709 install: install-am
710 install-exec: install-exec-am
711 install-data: install-data-am
712 uninstall: uninstall-am
713
714 install-am: all-am
715         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
716
717 installcheck: installcheck-am
718 install-strip:
719         if test -z '$(STRIP)'; then \
720           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
721             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
722               install; \
723         else \
724           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
725             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
726             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
727         fi
728 mostlyclean-generic:
729         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
730         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
731         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
732
733 clean-generic:
734
735 distclean-generic:
736         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
737         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
738
739 maintainer-clean-generic:
740         @echo "This command is intended for maintainers to use"
741         @echo "it deletes files that may require special tools to rebuild."
742 clean: clean-am
743
744 clean-am: clean-generic clean-local mostlyclean-am
745
746 distclean: distclean-am
747         -rm -f Makefile
748 distclean-am: clean-am distclean-generic
749
750 dvi: dvi-am
751
752 dvi-am:
753
754 html: html-am
755
756 html-am:
757
758 info: info-am
759
760 info-am:
761
762 install-data-am:
763
764 install-dvi: install-dvi-am
765
766 install-dvi-am:
767
768 install-exec-am:
769
770 install-html: install-html-am
771
772 install-html-am:
773
774 install-info: install-info-am
775
776 install-info-am:
777
778 install-man:
779
780 install-pdf: install-pdf-am
781
782 install-pdf-am:
783
784 install-ps: install-ps-am
785
786 install-ps-am:
787
788 installcheck-am:
789
790 maintainer-clean: maintainer-clean-am
791         -rm -f Makefile
792 maintainer-clean-am: distclean-am maintainer-clean-generic
793
794 mostlyclean: mostlyclean-am
795
796 mostlyclean-am: mostlyclean-generic
797
798 pdf: pdf-am
799
800 pdf-am:
801
802 ps: ps-am
803
804 ps-am:
805
806 uninstall-am:
807
808 .MAKE: check-am install-am install-strip
809
810 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
811         clean-local cscopelist-am ctags-am distclean distclean-generic \
812         distdir dvi dvi-am html html-am info info-am install \
813         install-am install-data install-data-am install-dvi \
814         install-dvi-am install-exec install-exec-am install-html \
815         install-html-am install-info install-info-am install-man \
816         install-pdf install-pdf-am install-ps install-ps-am \
817         install-strip installcheck installcheck-am installdirs \
818         maintainer-clean maintainer-clean-generic mostlyclean \
819         mostlyclean-generic pdf pdf-am ps ps-am recheck tags-am \
820         uninstall uninstall-am
821
822 .PRECIOUS: Makefile
823
824
825 clean-local:
826         rm -f *.html *.tex *.aux *.dvi *.pdf
827
828 # Tell versions [3.59,3.63) of GNU make to not export all variables.
829 # Otherwise a system limit (for SysV at least) may be exceeded.
830 .NOEXPORT: